cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/themes/projects" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/themes/projects", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/themes/projects",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"projects": [
{
"projectId": "cmvuo7i4r000kvdw4w2av9br1",
"title": "Home",
"themeId": "pulse",
"live": true,
"status": "published",
"updatedAt": "2026-10-30T12:19:46.024Z"
},
{
"projectId": "cmvuo3tjo000avdw4jh32hu45",
"title": "bade",
"themeId": "pulse",
"live": false,
"status": "published",
"updatedAt": "2026-10-30T12:19:45.962Z"
}
]
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}List theme projects
Theme projects (drafts) of the store.
Scope: theme:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
themes
/
projects
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/themes/projects" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/themes/projects", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/themes/projects",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"projects": [
{
"projectId": "cmvuo7i4r000kvdw4w2av9br1",
"title": "Home",
"themeId": "pulse",
"live": true,
"status": "published",
"updatedAt": "2026-10-30T12:19:46.024Z"
},
{
"projectId": "cmvuo3tjo000avdw4jh32hu45",
"title": "bade",
"themeId": "pulse",
"live": false,
"status": "published",
"updatedAt": "2026-10-30T12:19:45.962Z"
}
]
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}
